Bug 520265 - nautilus view "sort by name" orders files incorrectly
Summary: nautilus view "sort by name" orders files incorrectly
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tomáš Bžatek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-29 22:01 UTC by Brad
Modified: 2015-03-03 22:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:23:16 UTC


Attachments (Terms of Use)
screenshot demonstrating nautilus incorrect sort by name (47.13 KB, image/png)
2009-08-29 22:01 UTC, Brad
no flags Details

Description Brad 2009-08-29 22:01:50 UTC
Created attachment 359173 [details]
screenshot demonstrating nautilus incorrect sort by name

I have a folder with the following files in it:

$ ls -1
09092119480cce9df88ce83dc5d5ff10.png
0f64141bf4ea238078d2cfc624db375b.png
135283299423ddd075487dec2cd2f025.png
1f0592d42a7b2e03318b2fae29b4544b.png
24acdb25b420e9fd14898517e4cab4ca.png
8f215fed195ae8bac9fd65fcb6058249.png
$ echo $LANG
en_US.UTF-8
$ 

When I view this folder in nautilus, list view (or icon view) and sort by name, the file that starts off with an 8 is in the middle, as shown by the attached screenshot.

Refreshing or resorting doesn't fix it.

Comment 1 Bug Zapper 2010-04-28 10:04:27 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Bug Zapper 2010-06-28 14:23:16 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.